common:
  api_name: pubsub
  api_version: v1
  organization_name: google-cloud
  service_yaml: pubsub.yaml
  gapic_yaml: v1/pubsub_gapic.yaml
  src_proto_paths:
  - v1
  proto_deps:
  - name: google-common-protos
  - name: google-iam-v1
  test_proto_deps:
  - name: google-iam-v1
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-pubsub-v1
    - name: grpc
      dest: generated/java/grpc-google-cloud-pubsub-v1
    - name: proto
      dest: generated/java/proto-google-cloud-pubsub-v1
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-pubsub
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-pubsub-v1
    - name: grpc
      dest: generated/python/proto-google-cloud-pubsub-v1
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/pubsub_v1
      dest: pubsub/google/cloud/pubsub_v1
    - src: tests/unit/gapic/v1
      dest: pubsub/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: pubsub/google/cloud/proto
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-pubsub-v1
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/pubsub/v1
      dest: google-cloud-pubsub/lib/google/cloud/pubsub/v1
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-pubsub
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-pubsub-v1/vendor
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: pubsub/apiv1
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/pubsub
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v1
      dest: packages/pubsub/src/v1
- name: gapic_config
  type: GAPIC_CONFIG
